Subject: bug#68618: 29.1; Tramp remote process fails in Eshell

From: Sean Devlin <[email-masked]>
Date: Sat, 20 Jan 2024 14:38:18 -0500

> On Jan 20, 2024, at 2:00 PM, Jim Porter <[email-masked]> wrote:
> 
> On 1/20/2024 10:30 AM, Sean Devlin wrote:
>> I think Tramp and/or Eshell need to make sure this /bin/sh subprocess is
>> started with the local executable path and not the path from the remote
>> host.
> 
> I believe this is the same issue as bug#65551, which is fixed in 29.2. Could you upgrade and try it out?

Thanks, I didn’t realize 29.2 was out.

It looks like you’re correct: the bug is resolved in 29.2.

Thanks!